ConlluWordLine (Apache OpenNLP Tools 2.5.9 API)
Description: declaration: package: opennlp.tools.formats.conllu, class: ConlluWordLine

# Class ConlluWordLine

java.lang.Object
opennlp.tools.formats.conllu.ConlluWordLine

public class ConlluWordLine extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDeprel()`
  `String`
  `getDeps()`
  `String`
  `getFeats()`
  `String`
  `getForm()`
  `String`
  `getHead()`
  `String`
  `getId()`
  `String`
  `getLemma()`
  `String`
  `getMisc()`
  `String`
  `getPosTag(ConlluTagset tagset)`

  ### Methods inherited from class Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getId

    public String getId()
    Returns:
      Retrieves the word index. An Integer starting at `1` for each new sentence; may be a range for multiword tokens; may be a decimal number for empty nodes.

  - ### getForm

    public String getForm()
    Returns:
      Retrieves the word form or punctuation symbol.

  - ### getLemma

    public String getLemma()
    Returns:
      Retrieves the lemma or stem of the word form.

  - ### getPosTag

    public String getPosTag(ConlluTagset tagset)
    Parameters:
      `tagset` - The `type of tag` to retrieve, either universal (`ConlluTagset.U`) or language specific (`ConlluTagset.X`).
    Returns:
      Retrieves the Universal part-of-speech tag or the language-specific part-of-speech tag; underscore if not available.
    Throws:
      `IllegalStateException` - Thrown if a non-supported `ConlluTagset` was specified.

  - ### getFeats

    public String getFeats()
    Returns:
      Retrieves morphological features from the universal feature inventory or from a defined language-specific extension; underscore if not available.

  - ### getHead

    public String getHead()
    Returns:
      Retrieves the head of the current word, which is either a value of ID or zero (0).

  - ### getDeprel

    public String getDeprel()
    Returns:
      Retrieves the Universal dependency relation to the HEAD (root if HEAD = 0) or a defined language-specific subtype of one.

  - ### getDeps

    public String getDeps()
    Returns:
      Retrieves the enhanced dependency graph in the form of a list of head-deprel pairs.

  - ### getMisc

    public String getMisc()
    Returns:
      Retrieves any other annotation.